Name: libxfce4mcs
Version: 4.0.6
Release: alt1

Summary: Multi-channel settings management support for XFce
Summary(ru_RU.CP1251):     XFce
License: LGPL
Group: Development/C
Url: http://www.xfce.org/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source0: %name-%version.tar.bz2

Requires: libxfce4util >= %version
BuildPreReq: libxfce4util-devel >= %version

%def_disable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Thu Sep 11 2003
BuildRequires: XFree86-devel gcc-c++ glib2-devel libstdc++-devel pkgconfig

%description
Multi-channel settings management support for XFce.

%description -l ru_RU.CP1251
    XFce.

%package devel
Summary: Development files for %name
Summary(ru_RU.CP1251):      %name
Group: Development/C
License: LGPL
PreReq:	%name = %version-%release

%description devel
Header files for the %name library.

%description devel -l ru_RU.CP1251
      %name.

%package devel-static
Summary: Static libraries for %name
Summary(ru_RU.CP1251):   %name
Group: Development/C
License: LGPL
PreReq:	%name-devel = %version-%release

%description devel-static
Static libraries files for the %name library.

%description devel-static -l ru_RU.CP1251
       %name.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure %{subst_enable static}
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/xfce4/libxfce4mcs
%_libdir/pkgconfig/*.pc
%_libdir/*.so

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Mon Dec 22 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2
- Do not package %name-devel-static by default.

* Sun Dec 07 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt2
- *.la files removed.

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
